import Vue from "vue";
import App from "./App.vue";

import "./registerServiceWorker";
import router from "./router";
import store from "./store";
import ElementUI from "element-ui";
import "element-ui/lib/theme-chalk/index.css";
import Axios from 'axios';
//npm i moment --save
import moment from 'moment';
import echarts from 'echarts'


Vue.prototype.$echarts = echarts
Vue.use(ElementUI);
Vue.prototype.$moment = moment;//赋值使用
 
Vue.config.productionTip = false;
Vue.prototype.$axios = Axios;
Axios.defaults.baseURL = '/api';
Axios.defaults.headers.post['Content-Type'] = 'application/json';

/* Axios.interceptors.request.use(
    config => {
		let userId_ = localStorage.getItem('userId');
        if (!userId_) {  //
             router.replace({
				path: 'login',
			   
			})
        }
        return config;
    },
    err => {
        return Promise.reject(err);
    }); */
	

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount("#app");


Axios.interceptors.request.use(function (config) {
  let userId_ = localStorage.getItem('userId');
  if (!userId_ && config.url != "/api/user/login") {
      router.replace('/login');
    }
  config.headers.common['userId'] = userId_;
  return config;
}, function (error) {
  console.info("error: ");
  console.info(error);
  return Promise.reject(error);
});